=== debian/changelog ===
texlive-extra (2015.20160320-1) unstable; urgency=medium

  * new upstream checkout
  * texlive-bibtex-extra: break on old biber for biblatex 3.3
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sun, 20 Mar 2016 13:37:48 +0900

texlive-extra (2015.20160223-2) unstable; urgency=medium

  * re-add dropped dependency when incorporating jadetex (Closes: #816584)

 -- Norbert Preining <preining@debian.org>  Thu, 10 Mar 2016 16:19:25 +0900

texlive-extra (2015.20160223-1) unstable; urgency=medium

  * new upstream checkout
  * ensure proper upgrade from intermediate sid releases
    (replaces for texlive-math-extra vs texlive-latex-extra)
  * reinclusion of musixtex, pmx, m-tx in texlive-music
  * reintroduction of texlive-htmlxml which carries passivetex,
    jadetex, xmltex (tex4ht remains separate for now)

 -- Norbert Preining <preining@debian.org>  Tue, 23 Feb 2016 12:33:45 +0900

texlive-extra (2015.20160215-1) unstable; urgency=medium

  * new upstream checkout
  * tl-math-extra depends on tl-luatex (unicode-math -> ucharcat)
    (Closes: #811508)
  * fix perl-noisiness in texdef (Closes: #812154)
  * fix algorithm2e.sty superfluous brace (Closes: #814317)

 -- Norbert Preining <preining@debian.org>  Mon, 15 Feb 2016 20:04:27 +0900

texlive-extra (2015.20160117-1) unstable; urgency=medium

  * new upstream checkout
  * fix some font links (Gentium, Roboto) (Closes: #809202)

 -- Norbert Preining <preining@debian.org>  Sun, 17 Jan 2016 16:48:00 +0900

texlive-extra (2015.20151225-2) unstable; urgency=medium

  * simplewick moved from latex-extra to science (Closes: #809039)

 -- Norbert Preining <preining@debian.org>  Sun, 27 Dec 2015 09:45:00 +0900

texlive-extra (2015.20151225-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Sat, 26 Dec 2015 10:42:50 +0900

texlive-extra (2015.20151116-1) unstable; urgency=medium

  * new upstream checkout
  * switch back to upstream droid fonts (Closes: #804690)

 -- Norbert Preining <preining@debian.org>  Mon, 16 Nov 2015 13:22:22 +0900

texlive-extra (2015.20151016-1) unstable; urgency=medium

  * new upstream checkout
  * set all packages to M-A: foreign

 -- Norbert Preining <preining@debian.org>  Fri, 16 Oct 2015 09:42:20 +0900

texlive-extra (2015.20150917-1) unstable; urgency=medium

  * new upstream checkout
  * remove pswrite device from epstopdf (Closes: #797537)

 -- Norbert Preining <preining@debian.org>  Thu, 17 Sep 2015 12:56:33 +0900

texlive-extra (2015.20150823-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Sun, 23 Aug 2015 14:07:13 +0900
