=== debian/control ===
Source: texlive-extra
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
Standards-Version: 3.9.7
Homepage: http://www.tug.org/texlive/

Package: texlive-bibtex-extra
Architecture: all
Multi-Arch: foreign
Depends: texlive-binaries (>= 2015.20160222.37495-1), texlive-base (>= 2015), ${misc:Depends}, texlive-latex-base (>= 2015)
Breaks: texlive-base (<< 2015), biber (<< 2.4)
Description: TeX Live: BibTeX additional styles
 Additional BibTeX styles and bibliography data(bases), notably including 
 BibLaTeX.
 .
 This package includes the following CTAN packages:
 .
 aichej -- Bibliography style file for the AIChE Journal.
 .
 ajl -- BibTeX style for AJL.
 .
 amsrefs -- A LaTeX-based replacement for BibTeX.
 .
 apacite -- Citation style following the rules of the APA.
 .
 apalike2 -- Bibliography style that approaches APA requirements.
 .
 archaeologie -- Citation-style which covers rules of the German Archaeology
 Institute
 .
 beebe --
 .
 besjournals --
 .
 bestpapers -- A BibTeX package to produce lists of authors' best papers
 .
 bibarts -- "Arts"-style bibliographical information
 .
 bibexport -- Extract a BibTeX file based on a .aux file
 .
 bibhtml -- BibTeX support for HTML files.
 .
 biblatex -- Bibliographies in LaTeX using BibTeX for sorting only
 .
 biblatex-anonymous -- A tool to manage anonymous work with biblatex.
 .
 biblatex-apa -- BibLaTeX citation and reference style for APA
 .
 biblatex-bookinarticle -- Manage book edited in article
 .
 biblatex-bwl -- Biblatex citations for FU Berlin.
 .
 biblatex-caspervector -- A simple citation style for Chinese users
 .
 biblatex-chem -- A set of BibLaTeX implementations of chemistry-related
 bibliography styles
 .
 biblatex-chicago -- Chicago style files for biblatex.
 .
 biblatex-dw -- Humanities styles for biblatex.
 .
 biblatex-fiwi -- BibLaTeX styles for use in German humanities
 .
 biblatex-gost -- BibLaTeX support for GOST standard bibliographies
 .
 biblatex-historian -- A Biblatex style.
 .
 biblatex-ieee -- Ieee style files for biblatex.
 .
 biblatex-juradiss -- Biblatex stylefiles for German law thesis.
 .
 biblatex-luh-ipw -- Biblatex styles for social sciences.
 .
 biblatex-manuscripts-philology -- Manage classical manuscripts with BibLaTeX
 .
 biblatex-mla -- MLA style files for biblatex.
 .
 biblatex-multiple-dm -- Load multiple datamodels in biblatex
 .
 biblatex-musuos -- A biblatex style for citations in musuos.cls.
 .
 biblatex-nature -- BibLaTeX support for Nature
 .
 biblatex-nejm -- Biblatex style for the New England Journal of Medicine
 (NEJM).
 .
 biblatex-opcit-booktitle -- Use op. cit. for the booktitle of a subentry
 .
 biblatex-philosophy -- Styles for using BibLaTeX for work in philosophy
 .
 biblatex-phys -- A BibLaTeX implementation of the AIP and APS bibliography
 style
 .
 biblatex-publist -- BibLaTeX bibliography support for publication lists
 .
 biblatex-realauthor -- Indicate the real author of a work
 .
 biblatex-science -- BibLaTeX implementation of the Science bibliography
 style
 .
 biblatex-source-division -- References by "division" in classical sources.
 .
 biblatex-subseries -- Manages subseries with biblatex
 .
 biblatex-swiss-legal -- Bibliography and citation styles following Swiss
 legal practice.
 .
 biblatex-trad -- "Traditional" BibTeX styles with BibLaTeX.
 .
 biblatex-true-citepages-omit -- Correction of some limitation of the
 citepages=omit option of biblatex styles
 .
 biblist -- Print a BibTeX database.
 .
 bibtexperllibs -- BibTeX Perl Libraries
 .
 bibtopic -- Include multiple bibliographies in a document.
 .
 bibtopicprefix -- Prefix references to bibliographies produced by bibtopic.
 .
 bibunits -- Multiple bibliographies in one document.
 .
 bookdb -- A BibTeX style file for cataloguing a home library.
 .
 breakcites -- Ensure that multiple citations may break at line end.
 .
 cell -- Bibliography style for Cell.
 .
 chbibref -- Change the Bibliography/References title.
 .
 chicago -- A "Chicago" bibliography style.
 .
 chicago-annote -- Chicago-based annotated BibTeX style.
 .
 chembst -- A collection of BibTeX files for chemistry journals.
 .
 chscite -- Bibliography style for Chalmers University of Technology.
 .
 citeall -- Cite all entries of a bbl created with biblatex.
 .
 collref -- Collect blocks of references into a single reference.
 .
 compactbib -- Multiple thebibliography environments.
 .
 crossrefware -- Scripts for working with crossref.org
 .
 custom-bib -- Customised BibTeX styles.
 .
 din1505 -- Bibliography styles for German texts.
 .
 dk-bib -- Danish variants of standard BibTeX styles.
 .
 doipubmed -- Special commands for use in bibliographies.
 .
 ecobiblatex -- Global Ecology and Biogeography BibLaTeX styles for the Biber
 backend
 .
 economic -- BibTeX support for submitting to Economics journals.
 .
 fbs -- BibTeX style for Frontiers in Bioscience.
 .
 figbib -- Organize figure databases with BibTeX.
 .
 footbib -- Bibliographic references as footnotes.
 .
 francais-bst -- Bibliographies conforming to French typographic standards
 .
 geschichtsfrkl -- BibLaTeX style for historians
 .
 harvard -- Harvard citation package for use with LaTeX 2e.
 .
 harvmac -- Macros for scientific articles.
 .
 historische-zeitschrift -- Biblatex style for the journal 'Historische
 Zeitschrift'
 .
 ijqc -- BibTeX style file for the Intl. J. Quantum Chem.
 .
 inlinebib -- Citations in footnotes.
 .
 iopart-num -- Numeric citation style for IOP journals.
 .
 jneurosci -- BibTeX style for the Journal of Neuroscience.
 .
 jurabib -- Extended BibTeX citation support for the humanities and legal
 texts.
 .
 ksfh_nat -- BibTeX style for KSFH Munich.
 .
 listbib -- Lists contents of BibTeX files.
 .
 logreq -- Support for automation of the LaTeX workflow.
 .
 margbib -- Display bibitem tags in the margins.
 .
 multibib -- Multiple bibliographies within one document.
 .
 multibibliography -- Multiple versions of a bibliography, with different
 sort orders.
 .
 munich -- An alternative authordate bibliography style.
 .
 nar -- BibTeX style for Nucleic Acid Research
 .
 nmbib -- Multiple versions of a bibliography, with different sort orders.
 .
 notes2bib -- Integrating notes into the bibliography.
 .
 oscola -- BibLaTeX style for the Oxford Standard for the Citation of Legal
 Authorities.
 .
 perception -- BibTeX style for the journal Perception.
 .
 pnas2009 -- Bibtex style for PNAS.
 .
 rsc -- BibTeX style for use with RSC journals.
 .
 showtags -- Print the tags of bibliography entries.
 .
 sort-by-letters -- Bibliography styles for alphabetic sorting.
 .
 splitbib -- Split and reorder your bibliography.
 .
 turabian-formatting -- Formatting based on Turabian's Manual
 .
 uni-wtal-ger -- Citation style for literary studies at the University of
 Wuppertal.
 .
 uni-wtal-lin -- Citation style for linguistic studies at the University of
 Wuppertal.
 .
 urlbst -- Web support for BibTeX.
 .
 usebib -- A simple bibliography processor.
 .
 vak -- BibTeX style for Russian Theses, books, etc.
 .
 xcite -- Use citation keys from a different document.

Package: texlive-extra-utils
Architecture: all
Multi-Arch: foreign
Depends: python2.7 | python3, texlive-binaries (>= 2015.20160222.37495-1), texlive-base (>= 2015), texlive-latex-base (>= 2015), ${misc:Depends}, texlive-base (>= 2015)
Recommends: texlive-latex-recommended, libyaml-tiny-perl, ghostscript, libfile-homedir-perl, ruby | ruby-interpreter
Provides: pdfjam
Suggests: dvipng, dvidvi, xindy, fragmaster, purifyeps, lacheck, chktex, latexmk, latexdiff
Breaks: texlive-base (<< 2015)
Description: TeX Live: TeX auxiliary programs
 Various useful, but non-essential, support programs. Includes programs and 
 macros for DVI file manipulation, literate programming, patgen, and the TeX 
 Works Editor.
 .
 This package includes the following CTAN packages:
 .
 a2ping -- Advanced PS, PDF, EPS converter.
 .
 adhocfilelist -- '\listfiles' entries from the command line.
 .
 arara -- Automation of LaTeX compilation.
 .
 bibtex8 -- A fully 8-bit adaptation of BibTeX 0.99.
 .
 bibtexu --
 .
 bundledoc -- Bundle together all the files needed to build a LaTeX document.
 .
 checklistings -- Pass verbatim contents through a compiler and reincorporate
 the resulting output
 .
 ctan_chk -- Ctan guidelines verifier and corrector for uploading projects.
 .
 ctanify -- Prepare a package for upload to CTAN
 .
 ctanupload -- Support for users uploading to CTAN.
 .
 ctie -- C version of tie (merging Web change files).
 .
 cweb -- A Web system in C
 .
 de-macro -- Expand private macros in a document.
 .
 detex -- Strip TeX from a source file.
 .
 dtl -- Tools to dis-assemble and re-assemble DVI files.
 .
 dtxgen -- Creates a template for a self-extracting .dtx file
 .
 dvi2tty -- Produce ASCII from DVI.
 .
 dviasm -- A utility for editing DVI files.
 .
 dvicopy -- Copy DVI files, flattening VFs.
 .
 dviljk -- DVI to Laserjet output.
 .
 dvipos --
 .
 dvisvgm -- Convert DVI files to Scalable Vector Graphics format (SVG).
 .
 findhyph -- Find hyphenated words in a document
 .
 hook-pre-commit-pkg -- Pre-commit git hook for LaTeX package developpers.
 .
 hyphenex -- US English hyphenation exceptions file.
 .
 installfont -- A bash script for installing a LaTeX font family.
 .
 latex-git-log -- Typeset git log information.
 .
 latex2man -- Translate LaTeX-based manual pages into Unix man format.
 .
 latexfileversion -- Prints the version and date of a LaTeX class or style
 file.
 .
 latexpand -- Expand \input and \include in a LaTeX document.
 .
 latexindent -- Indent a LaTeX document, highlighting the programming
 structure.
 .
 ltxfileinfo -- Print version information for a LaTeX file
 .
 ltximg -- Split LaTeX files to sanitise a conversion process.
 .
 listings-ext -- Automated input of source.
 .
 make4ht -- A build system for tex4ht
 .
 match_parens -- Find mismatches of parentheses, braces, (angle) brackets, in
 texts.
 .
 mkjobtexmf -- Generate a texmf tree for a particular job.
 .
 patgen -- Generate hyphenation patterns.
 .
 pdfbook2 -- Create booklets from PDF files.
 .
 pdfcrop -- Crop PDF graphics.
 .
 pdfjam -- Shell scripts interfacing to pdfpages.
 .
 pdftools -- PDF-related utilities, including PostScript-to-PDF conversion
 .
 pfarrei -- LaTeX support of pastors' and priests' work.
 .
 pkfix -- Replace pk fonts in PostScript with Type 1 fonts.
 .
 pkfix-helper -- Make PostScript files accessible to pkfix.
 .
 pythontex -- Run Python from within a document, typesetting the results.
 .
 seetexk -- Utilities for manipulating DVI files.
 .
 srcredact -- A tool for redacting sources
 .
 sty2dtx -- Create a .dtx file from a .sty file.
 .
 synctex --
 .
 tex4ebook -- Convertor from LaTeX to ebook formats
 .
 texcount -- Count words in a LaTeX document.
 .
 texdef -- Display the definitions of TeX commands.
 .
 texdiff -- Compare documents and produce tagged merge.
 .
 texdirflatten -- Collect files related to a LaTeX job in a single directory.
 .
 texfot -- Filter clutter from the output of a TeX run
 .
 texliveonfly -- On-the-fly download of missing TeX live packages.
 .
 texloganalyser -- Analyse TeX logs.
 .
 texware -- Utility programs for use with TeX.
 .
 tie -- Allow multiple web change files.
 .
 tpic2pdftex -- Use tpic commands in PDFTeX.
 .
 typeoutfileinfo -- Display class/package/file information.
 .
 web -- original web programs tangle and weave

Package: texlive-font-utils
Architecture: all
Multi-Arch: foreign
Depends: texlive-base (>= 2015), texlive-binaries (>= 2015.20160222.37495-1), texlive-base (>= 2015), ${misc:Depends}
Recommends: ghostscript, ps2eps
Suggests: psutils, t1utils
Breaks: texlive-base (<< 2015)
Description: TeX Live: Graphics and font utilities
